Dear All,
I'm installing PyLucene in a Linux machine. The make command reached the
end without problems but I got this error when running make test:

ERROR: test_removeDocument (__main__.Test_PyLuceneWithFSStore)
ERROR: test_removeDocuments (__main__.Test_PyLuceneWithFSStore)
ERROR: test_searchDocuments (__main__.Test_PyLuceneWithFSStore)
ERROR: test_searchDocumentsWithMultiField
(__main__.Test_PyLuceneWithFSStore)
ERROR: test_FieldEnumeration (__main__.Test_PyLuceneWithMMapStore)
ERROR: test_getFieldInfos (__main__.Test_PyLuceneWithMMapStore)
ERROR: test_indexDocument (__main__.Test_PyLuceneWithMMapStore)
ERROR: test_indexDocumentWithText (__main__.Test_PyLuceneWithMMapStore)
ERROR: test_indexDocumentWithUnicodeText
(__main__.Test_PyLuceneWithMMapStore)
ERROR: test_removeDocument (__main__.Test_PyLuceneWithMMapStore)
ERROR: test_removeDocuments (__main__.Test_PyLuceneWithMMapStore)
ERROR: test_searchDocuments (__main__.Test_PyLuceneWithMMapStore)
ERROR: test_searchDocumentsWithMultiField
(__main__.Test_PyLuceneWithMMapStore)

Expanding one of these items I have this:
ERROR: test_FieldEnumeration (__main__.Test_PyLuceneWithMMapStore)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "test3/test_PyLucene.py", line 316, in tearDown
    shutil.rmtree(self.STORE_DIR)
  File "/hltsrv0/turchi/anaconda3/lib/python3.6/shutil.py", line 480, in
rmtree
    _rmtree_safe_fd(fd, path, onerror)
  File "/hltsrv0/turchi/anaconda3/lib/python3.6/shutil.py", line 438, in
_rmtree_safe_fd
    onerror(os.unlink, fullname, sys.exc_info())
  File "/hltsrv0/turchi/anaconda3/lib/python3.6/shutil.py", line 436, in
_rmtree_safe_fd
    os.unlink(name, dir_fd=topfd)
OSError: [Errno 16] Device or resource busy: '.nfs0000000142c4953f000000cf'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "test3/test_PyLucene.py", line 320, in tearDown
    if e.__name__ == 'WindowsError':
AttributeError: 'OSError' object has no attribute '__name__'

For the installation, I'm using python 3.6.5 and the operating system
is Scientific
Centos Fedora 7.5 (Nitrogen)

Thanks a lot!
Marco

Reply via email to